Commit 80143432 authored by Jan Kiene's avatar Jan Kiene
Browse files

Merge branch 'synch-main-basop-ci-branch' into 'basop-ci-branch'

[BASOP-CI] (Hopefully last) Synch main -> basop ci branch

See merge request !2411
parents cc2698bf 2f6781c5
Loading
Loading
Loading
Loading
Loading
+17 −12
Original line number Diff line number Diff line
@@ -273,7 +273,7 @@ basop-ref-compat-stv:
  extends:
    - .basop-ci-branch-compat-template
  variables:
    TEST_SUITE: "$SHORT_TEST_SUITE tests/renderer"
    TEST_SUITE: "$SHORT_TEST_SUITE tests/renderer_short"
    TESTCASE_TIMEOUT: $TESTCASE_TIMEOUT_STV_SANITIZERS
  parallel:
    matrix:
@@ -435,7 +435,7 @@ codec-smoke-test:
    - if cat smoke_test_output_hrtf.txt | grep -c "failed"; then echo "Smoke test with external hrtf files failed"; ret_val=1; fi
    - exit $ret_val
  artifacts:
    name: "mr-$CI_MERGE_REQUEST_IID--sha-$CI_COMMIT_SHORT_SHA--stage-$CI_JOB_STAGE--results"
    name: "mr-$CI_MERGE_REQUEST_IID--sha-$CI_COMMIT_SHORT_SHA--job-$CI_JOB_NAME--results"
    expire_in: 1 week
    when: always
    paths:
@@ -523,7 +523,7 @@ pytest-compare-20ms-and-5ms-rendering:
    - if [ $exit_code10 -ne 0 ]; then echo "Non-bitexact cases encountered with 10ms rendering!"; exit_code=1; fi
    - if [ $exit_code -ne 0 ]; then exit $EXIT_CODE_FAIL; fi
  artifacts:
    name: "mr-$CI_MERGE_REQUEST_IID--sha-$CI_COMMIT_SHORT_SHA--stage-$CI_JOB_STAGE--results"
    name: "mr-$CI_MERGE_REQUEST_IID--sha-$CI_COMMIT_SHORT_SHA--job-$CI_JOB_NAME--results"
    expire_in: 1 week
    when: always
    expose_as: "pytest 5ms and 10ms vs 20ms results"
@@ -824,6 +824,12 @@ ivas-pytest-on-merge-request:
  stage: compare
  needs: ["build-codec-linux-cmake", "codec-smoke-test"]
  timeout: "14 minutes"
  parallel:
    matrix:
      # note: keep in sync with list in $TESTS_DIR_CODEC_BE_ON_MR
      - PYTEST_SCRIPT:
          - test_param_file.py
          - test_sba.py
  script:
    - bash "${CI_PROJECT_DIR}"/ivas-codec-ci/snippets/print-common-info.sh
    - commits_behind_count="$(bash "${CI_PROJECT_DIR}"/ivas-codec-ci/snippets/get-commits-behind-count.sh)"
@@ -841,7 +847,7 @@ ivas-pytest-on-merge-request:

    ### prepare pytest
    # create references
    - python3 -m pytest $TESTS_DIR_CODEC_BE_ON_MR -v --update_ref 1
    - python3 -m pytest "$TESTS_DIR_CODEC_BE_ON_MR"/"$PYTEST_SCRIPT" -v --update_ref 1

    ### Run test using branch scripts and input
    - if [ $ref_using_main == 1 ]; then git checkout $source_branch_commit_sha; fi
@@ -849,7 +855,7 @@ ivas-pytest-on-merge-request:
    ### run pytest
    - exit_code=0
    - testcase_timeout=60
    - python3 -m pytest $TESTS_DIR_CODEC_BE_ON_MR -v --html=report.html --self-contained-html --junit-xml=report-junit.xml --testcase_timeout=$testcase_timeout || exit_code=$?
    - python3 -m pytest "$TESTS_DIR_CODEC_BE_ON_MR"/"$PYTEST_SCRIPT" -v --html=report.html --self-contained-html --junit-xml=report-junit.xml --testcase_timeout=$testcase_timeout || exit_code=$?
    - zero_errors=$(cat report-junit.xml | grep -c 'errors="0"') || true

    - *merge-request-comparison-check
@@ -858,7 +864,7 @@ ivas-pytest-on-merge-request:
    exit_codes:
      - 123
  artifacts:
    name: "mr-$CI_MERGE_REQUEST_IID--sha-$CI_COMMIT_SHORT_SHA--stage-$CI_JOB_STAGE--results"
    name: "mr-$CI_MERGE_REQUEST_IID--sha-$CI_COMMIT_SHORT_SHA--job-$CI_JOB_NAME--results"
    expire_in: 1 week
    when: always
    paths:
@@ -908,7 +914,7 @@ ivas-interop-on-merge-request:
    exit_codes:
      - 123
  artifacts:
    name: "mr-$CI_MERGE_REQUEST_IID--sha-$CI_COMMIT_SHORT_SHA--stage-$CI_JOB_STAGE--results"
    name: "mr-$CI_MERGE_REQUEST_IID--sha-$CI_COMMIT_SHORT_SHA--job-$CI_JOB_NAME--results"
    expire_in: 1 week
    when: always
    paths:
@@ -960,7 +966,7 @@ evs-pytest-on-merge-request:
    exit_codes:
      - 123
  artifacts:
    name: "mr-$CI_MERGE_REQUEST_IID--sha-$CI_COMMIT_SHORT_SHA--stage-$CI_JOB_STAGE--results"
    name: "mr-$CI_MERGE_REQUEST_IID--sha-$CI_COMMIT_SHORT_SHA--job-$CI_JOB_NAME--results"
    expire_in: 1 week
    when: always
    paths:
@@ -1056,7 +1062,7 @@ check-first-frame-is-sid:
    expose_as: "logs-sidstart"
    expire_in: "5 days"

.lc3plus-ensure-no-code-changes:
lc3plus-ensure-no-code-changes:
  extends:
    - .test-job-linux
    - .rules-merge-request-to-main
@@ -1068,7 +1074,7 @@ check-first-frame-is-sid:
    - ./scripts/lc3plus_lib_setup/get_lc3plus.sh

    # Ensure git reports no changes
    - modified_files=$(git status -s)
    - modified_files=$(git status -su lib_lc3plus)
    - if [[ $modified_files ]]; then printf 'LC3plus codebase was modified!\n\n'"$modified_files"'\n\n'; exit $EXIT_CODE_FAIL; fi

check-bitexactness-hrtf-rom-and-file:
@@ -1171,7 +1177,6 @@ be-2-evs-windows:
#     - cd evs_be_test
#     - python3 ../ci/run_evs_be_test.py


# TODO: do we still need this?
# codec-comparison-on-main-push:
#   extends:
@@ -2211,7 +2216,7 @@ sanitizer-test-osba-planar-hoa3-ism4:
    - if: $MANUAL_PIPELINE_TYPE == "coverage"
  timeout: 6 hours
  before_script:
    - !reference [.job-linux, before_script]
    - !reference [.test-job-linux-needs-testv-dir, before_script]
    - set -e
    - 'trap ''echo "Command failed at line $LINENO: $BASH_COMMAND"'' ERR'
    - bash "${CI_PROJECT_DIR}"/ivas-codec-ci/snippets/print-common-info.sh
+2 −4
Original line number Diff line number Diff line
@@ -7,9 +7,7 @@

  <h2>Regression tracking</h2>

  <ul>
  <li><a href="long_term_regression.html">Long term regression</a></li>
  </ul>

  <h2>Daily long testvector tests</h2>

+1 −5
Original line number Diff line number Diff line
@@ -71,7 +71,7 @@ JOBS_BASOP_REPO = {
    "complexity-osba-in-binaural_room_ir-out": "OSBA in, BINAURAL_ROOM_IR out",
    "complexity-stereo-in-stereo-out": "Stereo in, Stereo out",
    # "timeless" jobs (not complexity)
    "coverage-test-on-main-scheduled": "Coverage report",
    "ivas-conformance-linux": "Conformance test coverage",
    "ivas-long-term-job-logs-overview": "Long term logs",
}

@@ -81,13 +81,10 @@ JOBS_FOR_PROJECT_ID = {
}

ARTIFACT_FOLDER_4_COVERAGE_JOBS = {
    # for float
    "coverage-test-on-main-scheduled-stv": "coverage_stv",
    "coverage-test-on-main-scheduled-ltv": "coverage_ltv",
    "ivas-conformance-linux": "coverage_conformance",
    "coverage-merge": "coverage-merged",
    # for BASOP
    "coverage-test-on-main-scheduled": "coverage_enc_dec_rend",
}

ARTIFACTS = "artifacts.zip"
@@ -146,7 +143,6 @@ def create_landing_page(jobs, index_html, project_id):

    link_html_complexity_text = "\n".join(link_html_complexity)
    link_html_coverage_text = "\n".join(link_html_coverage)

    index_pages_tmpl = index_pages_tmpl.format(
        link_html_complexity_text, link_html_coverage_text
    )
+4 −2
Original line number Diff line number Diff line
@@ -47,10 +47,12 @@ int16_t print_disclaimer( FILE *fPtr )
{

    fprintf( fPtr, "\n==================================================================================================\n" );
    fprintf( fPtr, " \n IVAS Codec Version IVAS-FL-2.0\n" );
    fprintf( fPtr, "\n" );
    fprintf( fPtr, " 3GPP TS26.258 IVAS Codec Version IVAS-FL-3.0 (floating-point C-Code)\n" );
    fprintf( fPtr, "\n" );
    fprintf( fPtr, " Based on EVS Codec (Floating Point) 3GPP TS26.443 Nov 04, 2021,\n" );
    fprintf( fPtr, " Version 12.14.0 / 13.10.0 / 14.6.0 / 15.4.0 / 16.3.0\n" );
    fprintf( fPtr, "\n" );
    fprintf( fPtr, "==================================================================================================\n\n" );

    return 0;
+2 −0
Original line number Diff line number Diff line
@@ -169,6 +169,8 @@
#define DECODER_FORMAT_SWITCHING                       /* Re-initialize the decoder when the format/subformat of the incoming stream is changed */
#define RTP_SR_CODEC_FRAME_SIZE_IN_TOC_BYTE            /* CR for split rendering codec framesize signalling in Toc Byte*/
#define FIX_SPLIT_RENDERING_ON_DECODER_RESTART         /* Re-configure split rendering on decoder restart */
#define RTP_UPDATES_SA4_134                            /* Updates to RTP during SA4 134 */
#define COMPACT_ORIENTATION_PI_DATA

/* ################### Start BE switches ################################# */
/* only BE switches wrt selection floating point code */
Loading